{
  "minecraft:recipes/tools/fishing_rod": {
    "criteria": {
      "has_string": "2017-10-20 07:42:15 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/lever": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_bed": {
    "criteria": {
      "has_blue_wool": "2018-01-20 04:52:23 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lilac": {
    "criteria": {
      "has_double_plant": "2017-10-22 00:33:11 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_sword": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_bricks": {
    "criteria": {
      "has_stone": "2017-10-24 06:51:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/observer": {
    "criteria": {
      "has_quartz": "2018-01-11 07:39:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_door": {
    "criteria": {
      "has_planks": "2017-10-21 01:10:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/wheat": {
    "criteria": {
      "has_the_recipe": "2017-10-23 09:20:02 +0400"
    },
    "done": true
  },
  "minecraft:adventure/sniper_duel": {
    "criteria": {
      "killed_skeleton": "2018-01-10 04:28:33 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_bed": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/nether_brick_slab": {
    "criteria": {
      "has_nether_brick": "2018-01-11 07:56:46 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_pickaxe": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:nether/root": {
    "criteria": {
      "entered_nether": "2017-10-20 06:35:01 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_fence_gate": {
    "criteria": {
      "has_planks": "2017-10-21 01:10:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/pumpkin_seeds": {
    "criteria": {
      "has_pumpkin": "2017-10-20 08:21:56 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_helmet": {
    "criteria": {
      "has_leather": "2017-10-21 03:36:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/crafting_table": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone": {
    "criteria": {
      "has_the_recipe": "2018-01-05 21:40:34 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_hoe": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/bread": {
    "criteria": {
      "has_wheat": "2017-10-20 07:35:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/melon_seeds": {
    "criteria": {
      "has_melon": "2017-10-21 02:10:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/ladder": {
    "criteria": {
      "has_stick": "2017-10-20 07:18:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/map": {
    "criteria": {
      "has_compass": "2018-01-08 02:48:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_slab": {
    "criteria": {
      "has_planks": "2018-01-08 04:25:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/chest": {
    "criteria": {
      "has_lots_of_items": "2017-10-20 07:22:05 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_sword": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_button": {
    "criteria": {
      "has_planks": "2018-10-13 05:52:18 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_shovel": {
    "criteria": {
      "has_stick": "2017-10-20 07:18:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal_from_bone_block": {
    "criteria": {
      "has_the_recipe": "2018-01-08 03:12:01 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/torch": {
    "criteria": {
      "has_stone_pickaxe": "2017-10-20 07:34:39 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_sword": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/shears": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/stick": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_lamp": {
    "criteria": {
      "has_glowstone": "2018-01-24 07:12:39 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/sign": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/jukebox": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/spruce_boat": {
    "criteria": {
      "in_water": "2018-10-06 01:39:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diorite": {
    "criteria": {
      "has_quartz": "2018-01-11 07:39:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/flint_and_steel": {
    "criteria": {
      "has_flint": "2018-01-05 21:25:48 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_beetroot": {
    "criteria": {
      "has_beetroot": "2017-10-23 09:22:31 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_carpet": {
    "criteria": {
      "has_blue_wool": "2018-01-20 04:52:23 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dispenser": {
    "criteria": {
      "has_bow": "2017-10-21 03:18:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_red_bonemeal": {
    "criteria": {
      "has_bonemeal": "2017-10-21 02:14:26 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/mushroom_stew": {
    "criteria": {
      "has_bowl": "2017-10-21 02:25:48 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/emerald_block": {
    "criteria": {
      "has_at_least_9_emerald": "2018-01-09 02:32:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cake": {
    "criteria": {
      "has_egg": "2017-10-20 06:34:08 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/detector_rail": {
    "criteria": {
      "has_rail": "2018-01-09 03:15:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_nugget": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_leggings": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_door": {
    "criteria": {
      "has_planks": "2018-01-08 04:25:49 +0400"
    },
    "done": true
  },
  "minecraft:husbandry/balanced_diet": {
    "criteria": {
      "chicken": "2017-10-20 07:35:06 +0400",
      "cooked_mutton": "2018-01-09 09:14:22 +0400",
      "cooked_beef": "2018-01-08 07:31:40 +0400",
      "beef": "2017-10-21 03:40:24 +0400",
      "porkchop": "2017-10-21 03:34:43 +0400",
      "apple": "2018-01-05 01:34:41 +0400",
      "potato": "2017-10-23 09:16:23 +0400",
      "cooked_cod": "2017-10-20 07:56:10 +0400",
      "bread": "2017-10-24 06:34:42 +0400",
      "rotten_flesh": "2018-01-11 06:59:13 +0400",
      "salmon": "2018-10-13 05:47:23 +0400",
      "melon_slice": "2018-10-13 06:05:05 +0400",
      "cooked_chicken": "2018-01-08 06:43:41 +0400",
      "cooked_salmon": "2017-10-21 02:09:35 +0400",
      "carrot": "2018-01-11 07:35:48 +0400"
    },
    "done": false
  },
  "minecraft:recipes/tools/wooden_hoe": {
    "criteria": {
      "has_stick": "2017-10-20 07:18:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/shield": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_slab": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bucket": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/trapped_chest": {
    "criteria": {
      "has_tripwire_hook": "2017-10-20 08:14:39 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_bed": {
    "criteria": {
      "has_gray_wool": "2017-10-20 08:10:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cobblestone_stairs": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/hopper": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coarse_dirt": {
    "criteria": {
      "has_gravel": "2018-01-05 02:55:37 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/note_block": {
    "criteria": {
      "has_redstone": "2018-01-05 21:40:32 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_banner": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/lime_dye": {
    "criteria": {
      "has_bonemeal": "2017-10-21 02:14:26 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/hay_block": {
    "criteria": {
      "has_at_least_9_wheat": "2017-10-23 09:20:02 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_leggings": {
    "criteria": {
      "has_leather": "2017-10-21 03:36:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_helmet": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_shovel": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/bow": {
    "criteria": {
      "has_string": "2017-10-20 07:42:15 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_fence_gate": {
    "criteria": {
      "has_planks": "2017-10-20 08:46:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/tnt": {
    "criteria": {
      "has_gunpowder": "2018-01-06 07:15:32 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/emerald": {
    "criteria": {
      "has_the_recipe": "2018-01-09 02:32:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/acacia_slab": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/granite": {
    "criteria": {
      "has_quartz": "2018-01-11 07:39:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/purple_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/acacia_fence": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/magenta_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:husbandry/bred_all_animals": {
    "criteria": {
      "minecraft:chicken": "2018-01-07 10:11:21 +0400",
      "minecraft:pig": "2018-01-07 09:52:03 +0400",
      "minecraft:llama": "2018-01-20 04:59:43 +0400",
      "minecraft:sheep": "2018-01-19 23:41:43 +0400"
    },
    "done": false
  },
  "minecraft:recipes/decorations/iron_bars": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/sugar": {
    "criteria": {
      "has_reeds": "2017-10-20 07:33:14 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/orange_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_rose_bush": {
    "criteria": {
      "has_double_plant": "2018-01-09 01:21:29 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_stairs": {
    "criteria": {
      "has_brick_block": "2018-01-08 07:12:02 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gold_block": {
    "criteria": {
      "has_at_least_9_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:story/obtain_armor": {
    "criteria": {
      "iron_boots": "2018-01-08 03:03:17 +0400",
      "iron_chestplate": "2018-01-08 03:03:17 +0400",
      "iron_helmet": "2018-01-08 03:03:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_chestplate": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/comparator": {
    "criteria": {
      "has_quartz": "2018-01-11 07:39:40 +0400"
    },
    "done": true
  },
  "minecraft:story/mine_stone": {
    "criteria": {
      "get_stone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/furnace": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/minecart": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/yellow_dye_from_sunflower": {
    "criteria": {
      "has_double_plant": "2018-01-06 08:22:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/beetroot_soup": {
    "criteria": {
      "has_beetroot": "2017-10-23 09:22:31 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/cauldron": {
    "criteria": {
      "has_water_bucket": "2018-01-06 09:04:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/armor_stand": {
    "criteria": {
      "has_stone_slab": "2018-01-06 08:57:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_leggings": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:adventure/sleep_in_bed": {
    "criteria": {
      "slept_in_bed": "2017-10-20 06:33:38 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/sandstone": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/charcoal": {
    "criteria": {
      "has_log": "2018-10-13 05:51:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_planks": {
    "criteria": {
      "has_log": "2017-10-21 01:10:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_pickaxe": {
    "criteria": {
      "has_stick": "2017-10-20 07:18:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_hoe": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:story/lava_bucket": {
    "criteria": {
      "lava_bucket": "2018-01-11 07:09:09 +0400"
    },
    "done": true
  },
  "minecraft:husbandry/root": {
    "criteria": {
      "consumed_item": "2017-10-20 07:35:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_torch": {
    "criteria": {
      "has_redstone": "2018-01-05 21:40:32 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/birch_boat": {
    "criteria": {
      "in_water": "2018-10-06 01:39:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/golden_apple": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_stairs": {
    "criteria": {
      "has_planks": "2017-10-20 08:46:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_carpet": {
    "criteria": {
      "has_the_recipe": "2018-01-09 01:27:37 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/enchanting_table": {
    "criteria": {
      "has_obsidian": "2018-01-10 01:40:52 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_ink_bonemeal": {
    "criteria": {
      "has_bonemeal": "2017-10-21 02:14:26 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_shovel": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/acacia_boat": {
    "criteria": {
      "in_water": "2018-10-06 01:39:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/iron_trapdoor": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/acacia_door": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cyan_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:adventure/root": {
    "criteria": {
      "killed_something": "2017-10-20 06:15:04 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_bed": {
    "criteria": {
      "has_black_wool": "2018-01-11 07:12:19 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bowl": {
    "criteria": {
      "has_red_mushroom": "2017-10-21 03:31:31 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/item_frame": {
    "criteria": {
      "has_leather": "2017-10-21 03:36:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/lime_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_wool_from_string": {
    "criteria": {
      "has_string": "2017-10-20 07:42:15 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_hoe": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/clock": {
    "criteria": {
      "has_redstone": "2018-01-05 21:40:32 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/spruce_fence": {
    "criteria": {
      "has_planks": "2017-10-21 01:10:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_hoe": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_pickaxe": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/activator_rail": {
    "criteria": {
      "has_rail": "2018-01-09 03:15:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/spectral_arrow": {
    "criteria": {
      "has_glowstone_dust": "2018-01-11 07:47:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:adventure/kill_all_mobs": {
    "criteria": {
      "minecraft:blaze": "2018-01-11 07:53:07 +0400",
      "minecraft:skeleton": "2017-10-22 01:31:38 +0400",
      "minecraft:witch": "2018-01-06 07:14:54 +0400",
      "minecraft:wither_skeleton": "2018-01-11 07:51:11 +0400",
      "minecraft:husk": "2017-10-20 07:43:10 +0400",
      "minecraft:ghast": "2018-01-19 07:31:43 +0400",
      "minecraft:spider": "2017-10-20 07:42:14 +0400",
      "minecraft:zombie": "2017-10-20 06:15:04 +0400",
      "minecraft:creeper": "2018-01-06 07:15:31 +0400",
      "minecraft:drowned": "2018-10-13 05:42:48 +0400",
      "minecraft:zombie_villager": "2018-01-08 03:10:11 +0400"
    },
    "done": false
  },
  "minecraft:recipes/tools/diamond_shovel": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/dark_oak_stairs": {
    "criteria": {
      "has_planks": "2018-01-08 04:25:49 +0400"
    },
    "done": true
  },
  "minecraft:story/enter_the_nether": {
    "criteria": {
      "entered_nether": "2017-10-20 06:35:01 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/redstone_block": {
    "criteria": {
      "has_at_least_9_redstone": "2018-01-05 21:40:34 +0400"
    },
    "done": true
  },
  "minecraft:adventure/trade": {
    "criteria": {
      "traded": "2018-01-07 09:48:01 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/white_carpet": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/glistering_melon_slice": {
    "criteria": {
      "has_melon": "2017-10-21 02:10:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/pink_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_azure_bluet": {
    "criteria": {
      "has_red_flower": "2017-10-20 07:22:19 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_stairs": {
    "criteria": {
      "has_planks": "2017-10-21 01:10:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dark_oak_fence_gate": {
    "criteria": {
      "has_planks": "2018-01-08 04:25:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_nugget_from_smelting": {
    "criteria": {
      "has_iron_boots": "2018-10-06 01:28:20 +0400",
      "has_iron_leggings": "2018-10-06 01:28:20 +0400",
      "has_iron_helmet": "2018-10-06 01:28:20 +0400",
      "has_iron_sword": "2018-10-06 01:28:20 +0400",
      "has_iron_chestplate": "2018-10-06 01:28:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/lapis_lazuli": {
    "criteria": {
      "has_the_recipe": "2018-01-05 21:48:27 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/magenta_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:story/mine_diamond": {
    "criteria": {
      "diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:story/upgrade_tools": {
    "criteria": {
      "stone_pickaxe": "2017-10-20 07:34:39 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_helmet": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/oak_fence": {
    "criteria": {
      "has_planks": "2017-10-20 08:46:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/oak_boat": {
    "criteria": {
      "in_water": "2018-10-06 01:39:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/anvil": {
    "criteria": {
      "has_iron_block": "2018-01-19 07:43:12 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gold_ingot_from_gold_block": {
    "criteria": {
      "has_the_recipe": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_pink_tulip": {
    "criteria": {
      "has_red_flower": "2018-01-06 09:21:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/orange_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_porkchop": {
    "criteria": {
      "has_porkchop": "2018-10-13 08:05:56 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_slab": {
    "criteria": {
      "has_planks": "2017-10-20 08:46:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:husbandry/tame_an_animal": {
    "criteria": {
      "tamed_animal": "2018-01-05 01:15:45 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_boots": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/wooden_axe": {
    "criteria": {
      "has_stick": "2017-10-20 07:18:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lime_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/cyan_dye": {
    "criteria": {
      "has_lapis": "2018-01-05 21:48:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/blaze_powder": {
    "criteria": {
      "has_blaze_rod": "2018-01-11 07:53:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/paper": {
    "criteria": {
      "has_reeds": "2017-10-20 07:33:14 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_ink_bonemeal": {
    "criteria": {
      "has_bonemeal": "2017-10-21 02:14:26 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/pink_dye_from_peony": {
    "criteria": {
      "has_double_plant": "2017-10-20 08:21:05 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_chestplate": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_blue_dye_from_lapis_bonemeal": {
    "criteria": {
      "has_bonemeal": "2017-10-21 02:14:26 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/diamond_axe": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/magenta_dye_from_lapis_red_pink": {
    "criteria": {
      "has_lapis": "2018-01-05 21:48:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/glass_bottle": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bricks": {
    "criteria": {
      "has_brick": "2017-10-22 02:41:06 +0400"
    },
    "done": true
  },
  "minecraft:nether/find_fortress": {
    "criteria": {
      "fortress": "2018-01-11 07:46:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_gray_bonemeal": {
    "criteria": {
      "has_bonemeal": "2017-10-21 02:14:26 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/iron_block": {
    "criteria": {
      "has_at_least_9_iron_ingot": "2018-01-05 03:01:35 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/painting": {
    "criteria": {
      "has_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/white_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_poppy": {
    "criteria": {
      "has_red_flower": "2017-10-20 08:08:08 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/arrow": {
    "criteria": {
      "has_feather": "2017-10-20 07:16:34 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/acacia_fence_gate": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/stone_slab": {
    "criteria": {
      "has_stone": "2017-10-24 06:51:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_carpet": {
    "criteria": {
      "has_black_wool": "2018-01-11 07:12:19 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/coal_block": {
    "criteria": {
      "has_at_least_9_coal": "2017-10-20 08:39:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_wood": {
    "criteria": {
      "has_log": "2018-10-13 05:51:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/clay": {
    "criteria": {
      "has_clay_ball": "2017-10-20 08:21:35 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/yellow_dye_from_dandelion": {
    "criteria": {
      "has_yellow_flower": "2017-10-20 08:59:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/green_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/light_weighted_pressure_plate": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:story/deflect_arrow": {
    "criteria": {
      "deflected_projectile": "2018-01-08 03:43:04 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_blue_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/wooden_sword": {
    "criteria": {
      "has_stick": "2017-10-20 07:18:43 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_shovel": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_banner": {
    "criteria": {
      "has_gray_wool": "2017-10-20 08:10:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/yellow_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/oak_planks": {
    "criteria": {
      "has_log": "2017-10-20 08:45:33 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/blue_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/gray_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/cyan_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/spruce_slab": {
    "criteria": {
      "has_planks": "2017-10-21 01:10:54 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_axe": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/iron_axe": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/andesite": {
    "criteria": {
      "has_stone": "2017-10-20 07:36:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/glowstone": {
    "criteria": {
      "has_glowstone_dust": "2018-01-11 07:47:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_helmet": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/black_banner": {
    "criteria": {
      "has_black_wool": "2018-01-11 07:12:19 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/lead": {
    "criteria": {
      "has_slime_ball": "2018-01-20 01:09:23 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/gray_carpet": {
    "criteria": {
      "has_gray_wool": "2017-10-20 08:10:16 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_banner": {
    "criteria": {
      "has_red_wool": "2018-01-09 01:28:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/tripwire_hook": {
    "criteria": {
      "has_string": "2017-10-20 07:42:15 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_pressure_plate": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_boots": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/bone_meal": {
    "criteria": {
      "has_bone": "2017-10-20 06:39:09 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/birch_planks": {
    "criteria": {
      "has_log": "2018-01-05 22:12:04 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/black_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:story/iron_tools": {
    "criteria": {
      "iron_pickaxe": "2018-01-05 03:02:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cooked_salmon": {
    "criteria": {
      "has_salmon": "2018-10-13 05:47:07 +0400"
    },
    "done": true
  },
  "minecraft:story/root": {
    "criteria": {
      "crafting_table": "2017-10-20 08:46:20 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_button": {
    "criteria": {
      "has_stone": "2017-10-24 06:51:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/iron_chestplate": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/dropper": {
    "criteria": {
      "has_redstone": "2018-01-05 21:40:32 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/yellow_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_pressure_plate": {
    "criteria": {
      "has_planks": "2018-10-13 05:52:18 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/coal": {
    "criteria": {
      "has_the_recipe": "2017-10-20 08:39:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_trapdoor": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:story/form_obsidian": {
    "criteria": {
      "obsidian": "2018-01-10 01:40:52 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/brewing_stand": {
    "criteria": {
      "has_blaze_rod": "2018-01-11 07:53:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_concrete_powder": {
    "criteria": {
      "has_sand": "2017-10-20 07:22:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_blue_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_chestplate": {
    "criteria": {
      "has_leather": "2017-10-21 03:36:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/compass": {
    "criteria": {
      "has_redstone": "2018-01-05 21:40:32 +0400"
    },
    "done": true
  },
  "minecraft:adventure/kill_a_mob": {
    "criteria": {
      "minecraft:zombie": "2017-10-20 06:15:04 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_button": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/golden_pickaxe": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/sticky_piston": {
    "criteria": {
      "has_slime_ball": "2018-01-20 01:09:23 +0400"
    },
    "done": true
  },
  "minecraft:nether/obtain_blaze_rod": {
    "criteria": {
      "blaze_rod": "2018-01-11 07:53:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_andesite": {
    "criteria": {
      "has_stone": "2017-10-20 09:01:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/quartz_block": {
    "criteria": {
      "has_quartz": "2018-01-11 07:39:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/green_carpet": {
    "criteria": {
      "has_the_recipe": "2018-01-20 04:53:39 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/gray_dye": {
    "criteria": {
      "has_bonemeal": "2017-10-21 02:14:26 +0400"
    },
    "done": true
  },
  "minecraft:adventure/adventuring_time": {
    "criteria": {
      "minecraft:jungle_edge": "2017-10-22 00:32:08 +0400",
      "minecraft:cold_ocean": "2018-10-13 06:04:52 +0400",
      "minecraft:snowy_mountains": "2017-10-23 01:47:53 +0400",
      "minecraft:mountains": "2017-10-20 06:38:48 +0400",
      "minecraft:forest": "2017-10-20 06:23:49 +0400",
      "minecraft:taiga": "2017-10-20 06:35:47 +0400",
      "minecraft:desert_hills": "2017-10-20 07:22:35 +0400",
      "minecraft:giant_tree_taiga": "2018-10-13 05:49:04 +0400",
      "minecraft:deep_cold_ocean": "2018-10-13 06:04:27 +0400",
      "minecraft:snowy_tundra": "2017-10-23 01:45:14 +0400",
      "minecraft:taiga_hills": "2017-10-21 03:29:52 +0400",
      "minecraft:desert": "2017-10-20 07:15:50 +0400",
      "minecraft:frozen_river": "2017-10-23 01:45:11 +0400",
      "minecraft:jungle": "2017-10-20 08:43:27 +0400",
      "minecraft:birch_forest": "2017-10-21 03:32:30 +0400",
      "minecraft:jungle_hills": "2017-10-21 01:50:50 +0400",
      "minecraft:savanna_plateau": "2017-10-20 08:07:07 +0400",
      "minecraft:beach": "2017-10-20 07:27:32 +0400",
      "minecraft:dark_forest": "2017-10-20 06:34:23 +0400",
      "minecraft:river": "2017-10-20 06:15:39 +0400",
      "minecraft:snowy_taiga": "2017-10-23 08:54:57 +0400",
      "minecraft:birch_forest_hills": "2017-10-22 02:16:31 +0400",
      "minecraft:wooded_mountains": "2017-10-20 06:54:41 +0400",
      "minecraft:wooded_hills": "2017-10-21 03:27:37 +0400",
      "minecraft:stone_shore": "2017-10-20 08:31:24 +0400",
      "minecraft:giant_tree_taiga_hills": "2018-10-13 05:49:40 +0400",
      "minecraft:swamp": "2017-10-21 03:32:07 +0400",
      "minecraft:savanna": "2017-10-20 08:09:22 +0400",
      "minecraft:plains": "2017-10-20 06:25:14 +0400"
    },
    "done": false
  },
  "minecraft:recipes/redstone/iron_door": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/purple_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/book": {
    "criteria": {
      "has_paper": "2018-01-07 09:47:18 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/nether_brick_fence": {
    "criteria": {
      "has_nether_brick": "2018-01-11 07:56:46 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/stone_sword": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/cobblestone_wall": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/powered_rail": {
    "criteria": {
      "has_rail": "2018-01-09 03:15:28 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_bed": {
    "criteria": {
      "has_red_wool": "2018-01-09 01:28:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/brewing/fermented_spider_eye": {
    "criteria": {
      "has_spider_eye": "2017-10-20 07:43:55 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_pickaxe": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/oak_door": {
    "criteria": {
      "has_planks": "2017-10-20 08:46:16 +0400"
    },
    "done": true
  },
  "minecraft:husbandry/plant_seed": {
    "criteria": {
      "wheat": "2017-10-20 07:36:02 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/stone_pressure_plate": {
    "criteria": {
      "has_stone": "2017-10-24 06:51:17 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brown_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/leather_boots": {
    "criteria": {
      "has_leather": "2017-10-21 03:36:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/purple_dye": {
    "criteria": {
      "has_lapis": "2018-01-05 21:48:25 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/red_dye_from_tulip": {
    "criteria": {
      "has_red_flower": "2017-10-22 00:33:42 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/jungle_boat": {
    "criteria": {
      "in_water": "2018-10-06 01:39:53 +0400"
    },
    "done": true
  },
  "minecraft:adventure/shoot_arrow": {
    "criteria": {
      "shot_arrow": "2018-01-08 03:44:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/iron_ingot_from_iron_block": {
    "criteria": {
      "has_the_recipe": "2018-01-05 03:01:35 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/heavy_weighted_pressure_plate": {
    "criteria": {
      "has_iron_ingot": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/diamond_block": {
    "criteria": {
      "has_at_least_9_diamond": "2018-01-10 01:36:31 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/pumpkin_pie": {
    "criteria": {
      "has_pumpkin": "2017-10-20 08:21:56 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/carrot_on_a_stick": {
    "criteria": {
      "has_carrot": "2017-10-23 09:21:36 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/daylight_detector": {
    "criteria": {
      "has_quartz": "2018-01-11 07:39:40 +0400"
    },
    "done": true
  },
  "minecraft:recipes/transportation/dark_oak_boat": {
    "criteria": {
      "in_water": "2018-10-06 01:39:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/flower_pot": {
    "criteria": {
      "has_brick": "2017-10-22 02:41:06 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/lapis_block": {
    "criteria": {
      "has_at_least_9_lapis": "2018-01-05 21:48:27 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/nether_brick_stairs": {
    "criteria": {
      "has_nether_brick": "2018-01-11 07:56:46 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_granite": {
    "criteria": {
      "has_stone": "2018-01-05 02:50:08 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/brick_slab": {
    "criteria": {
      "has_brick_block": "2018-01-08 07:12:02 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/piston": {
    "criteria": {
      "has_redstone": "2018-01-05 21:40:32 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/golden_leggings": {
    "criteria": {
      "has_gold_ingot": "2018-01-05 21:55:44 +0400"
    },
    "done": true
  },
  "minecraft:recipes/redstone/spruce_trapdoor": {
    "criteria": {
      "has_planks": "2018-10-13 05:52:18 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/brown_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/food/cookie": {
    "criteria": {
      "has_cocoa": "2017-10-21 01:43:57 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/diamond": {
    "criteria": {
      "has_the_recipe": "2018-01-10 01:36:31 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/dark_oak_fence": {
    "criteria": {
      "has_planks": "2018-01-08 04:25:49 +0400"
    },
    "done": true
  },
  "minecraft:recipes/combat/diamond_boots": {
    "criteria": {
      "has_diamond": "2018-01-07 01:39:07 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/polished_diorite": {
    "criteria": {
      "has_stone": "2017-10-20 07:36:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/light_gray_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/red_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/light_gray_dye_from_oxeye_daisy": {
    "criteria": {
      "has_red_flower": "2017-10-20 07:22:05 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/red_wool": {
    "criteria": {
      "has_white_wool": "2017-10-20 08:07:53 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/acacia_stairs": {
    "criteria": {
      "has_planks": "2017-10-20 08:27:00 +0400"
    },
    "done": true
  },
  "minecraft:recipes/misc/orange_dye_from_red_yellow": {
    "criteria": {
      "has_red_dye": "2018-01-09 01:21:33 +0400"
    },
    "done": true
  },
  "minecraft:story/smelt_iron": {
    "criteria": {
      "iron": "2018-01-05 02:43:47 +0400"
    },
    "done": true
  },
  "minecraft:recipes/tools/stone_axe": {
    "criteria": {
      "has_cobblestone": "2017-10-20 08:40:13 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/melon": {
    "criteria": {
      "has_melon": "2017-10-21 02:10:51 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/blue_banner": {
    "criteria": {
      "has_blue_wool": "2018-01-20 04:52:23 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/pink_stained_glass": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_bed_from_white_bed": {
    "criteria": {
      "has_bed": "2017-10-20 08:27:50 +0400"
    },
    "done": true
  },
  "minecraft:recipes/decorations/light_gray_stained_glass_pane": {
    "criteria": {
      "has_glass": "2018-01-19 08:04:30 +0400"
    },
    "done": true
  },
  "minecraft:recipes/building_blocks/bone_block": {
    "criteria": {
      "has_at_least_9_bonemeal": "2018-01-08 03:12:01 +0400"
    },
    "done": true
  }
}